AttachWorkstreamResourceAPI mirrors erdo_attach_workstream_resource.
curl --request POST \
--url https://api.erdo.ai/v1/workstreams/{workstreamSlug}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phase_id": "<string>",
"relationship_type": "<string>",
"resource_id": "<string>",
"resource_type": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/workstreams/{workstreamSlug}/resources"
payload = {
"phase_id": "<string>",
"relationship_type": "<string>",
"resource_id": "<string>",
"resource_type": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phase_id: '<string>',
relationship_type: '<string>',
resource_id: '<string>',
resource_type: '<string>',
title: '<string>'
})
};
fetch('https://api.erdo.ai/v1/workstreams/{workstreamSlug}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationship_type": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"title": "<string>",
"workstream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
AttachWorkstreamResourceAPI mirrors erdo_attach_workstream_resource.
POST
/
v1
/
workstreams
/
{workstreamSlug}
/
resources
AttachWorkstreamResourceAPI mirrors erdo_attach_workstream_resource.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Path Parameters
Body
application/json
AddWorkstreamPhaseAPI mirrors erdo_add_workstream_phase.
UpdateWorkStateAPI mirrors erdo_update_work_state.
⌘I

